org.h2.schema

## Class UserDefinedFunction

- java.lang.Object
- - org.h2.engine.DbObject
  - - org.h2.schema.SchemaObject
    - - org.h2.schema.UserDefinedFunction

All Implemented Interfaces:
  HasSQL

Direct Known Subclasses:
  FunctionAlias, UserAggregate

    public abstract class UserDefinedFunction
    extends SchemaObject

User-defined Java function or aggregate function.

### Field Summary

### Fields inherited from class org.h2.engine.DbObject

`AGGREGATE, comment, COMMENT, CONSTANT, CONSTRAINT, database, DOMAIN, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, SYNONYM, TABLE_OR_VIEW, trace, TRIGGER, USER`

### Fields inherited from interface org.h2.util.HasSQL

`ADD_PLAN_INFORMATION, DEFAULT_SQL_FLAGS, NO_CASTS, QUOTE_ONLY_WHEN_REQUIRED, REPLACE_LOBS_FOR_TRACE, TRACE_SQL_FLAGS`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkRename()` Check if renaming is allowed.
`java.lang.String` `getJavaClassName()`

### Methods inherited from class org.h2.schema.SchemaObject

`getSchema, getSQL, getSQL, isHidden`

### Methods inherited from class org.h2.engine.DbObject

`getChildren, getComment, getCreateSQL, getCreateSQLForCopy, getCreateSQLForMeta, getDatabase, getDropSQL, getId, getModificationId, getName, getType, invalidate, isTemporary, isValid, removeChildrenAndResources, rename, setComment, setModified, setObjectName, setTemporary, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.util.HasSQL

`getTraceSQL`

### Method Detail

#### checkRename

    public final void checkRename()

Description copied from class: `DbObject`
Check if renaming is allowed. Does nothing when allowed.

Overrides:
  `checkRename` in class `DbObject`

#### getJavaClassName

    public final java.lang.String getJavaClassName()